PAGINATION_KEYS = {'count', 'next', 'previous', 'results'}
DEFAULT_LIST_WRAPPER = 'objects'
DEFAULT_INSTANCE_WRAPPER = 'object'


def get_list_wrapper(context):
	"""
	Returns a list wrapper key for Ember.
	"""
	try:
		meta = context['view'].Meta
		return meta.list_wrapper
	except (KeyError, AttributeError):
		pass

	return DEFAULT_LIST_WRAPPER


def get_instance_wrapper(context):
	"""
	Returns an instance wrapper key for Ember.
	"""
	try:
		meta = context['view'].Meta
		return meta.instance_wrapper
	except (KeyError, AttributeError):
		pass

	return DEFAULT_INSTANCE_WRAPPER
